Name: XaoS
Version: 3.0
Release: 14
Prefix: /usr
Group: Applications/Multimedia
Copyright: GPL
Summary: A fast, portable real-time interactive fractal zoomer.
Source: ftp://ftp.ta.jcu.cz/pub/linux/hubicka/XaoS/3.0/XaoS-%{version}.tar.gz
Source1: README.redhat
Source2: xaos.desktop
Patch0: xaos.nosuid.patch
Patch1: XaoS-3.0-brokenasm.patch
URL: http://limax.paru.cas.cz/~hubicka/XaoS/index.html
Buildroot: /var/tmp/%{name}-root
Requires: aalib, info

%description
XaoS is a fast, portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you zoom smoothly into the fractal. Various coloring modes are
provided for both the points inside and outside the selected set. XaoS
supports switching between Julia and Mandelbrot fractal types and
on-the-fly plane switching.

If you're installing XaoS, you'll also need to install the the aalib
package, which provides the AA-lib low-level graphics library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/info
%makeinstall 
gzip -9f $RPM_BUILD_ROOT/usr/share/info/* $RPM_BUILD_ROOT/usr/share/man/*/* || :
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics
install -c -m644 %{SOURCE2} \
	$RPM_BUILD_ROOT/etc/X11/applnk/Graphics


#whoa! need to remove set uids. we won't ship with that, let the user set it
(cd $RPM_BUILD_ROOT%{prefix}/bin ;
 	chmod -s *
)

#get files list
find $RPM_BUILD_ROOT -not -name $RPM_BUILD_ROOT/usr/doc -type f | sed -e "s#^$RPM_BUILD_ROOT##g" | perl -pi -e 's,(/man/man.+/)(.+),\1\2*,g' > rpm-XaoS-files
perl -pi -e "s,^/etc,%config /etc,g" rpm-XaoS-files

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/share/info/xaos.info.gz /usr/info/dir
fi


%post
/sbin/install-info /usr/share/info/xaos.info.gz /usr/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-XaoS-files
%defattr(-,root,root)
%doc $RPM_SOURCE_DIR/README.redhat
%doc doc/*
%doc doc/speed/*
%dir /usr/share/XaoS
%dir /usr/share/XaoS/tutorial
%dir /usr/share/XaoS/examples
%dir /usr/share/XaoS/catalogs
%dir /usr/share/XaoS/doc

%changelog
* Thu Aug 3 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- rebuilt

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- fixed install routine so that it puts files in the buildroot and not under /

* Mon May 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix some broken asm() constructs so it compiles
- clean up the spec file
- kill the wmconfig file, add desktop file
- gzip info page, move to /usr/share/info
- move man page to /usr/share/man
- fix build without the brp-strip (s/.gz/*/)

* Mon May 22 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- Solved ? bug in %files

* Fri May 19 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- rebuilt for 7.0

* Thu Dec 23 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Fri Aug 20 1999 Tim Powers <timp@redhat.com>
- fixed problem with stale directories lying around when uninstalling

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added xaos.wmconfig
- added requires info
- added nosuid patch to compile as user

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- spec file cleanups in the %build, %install, and %files and the header
  sections.
- does require aalib again
- don't let it set uids
- added README.redhat which contains instructions on chmod +s
- updated ftp location
- added URL
- built to be included into Powertools

* Sat Mar 13 1999 Chris Green <sprout@dok.org>
- make rpm compile as user

*Wed Mar 19 1998 Trond Eivind Glomsrod <teg@pvv.ntnu.no>
- compiled with gcc 2.8.1
- cleaned up spec-file (removed weird doc handling)
- Doesn't require weirdo AA-lib anymore
